%define anolis_release .0.2
Name:           udisks2-qt5
Version:        5.0.6
Release:        3%{anolis_release}%{?dist}.02
Summary:        Qt5 binding for udisks2
License:        GPLv3+
URL:            https://github.com/linuxdeepin/udisks2-qt5
Source0:        %{name}_%{version}.tar.gz
BuildRequires:  gcc-c++ make
BuildRequires:  pkgconfig(Qt5Core)

%description
This package provides a Qt5 binding for udisks2.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel%{?isa}

%description devel
Header files and libraries for %{name}.

%prep
%setup -q
sed -i 's|/lib|/%{_lib}|' udisks2.pro

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG.md
%{_libdir}/lib%{name}.so.0*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.6-3.0.1.02
- rebuild for qt5-qtbase-5.15.3

* Mon Jul 10 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.0.6-3.0.1.02
- rebuild for qt 5.15.3

* Thu Jan 12 2023 liweiganga <liweiganga@uniontech.com> - 5.0.6-3.02
- rebuild

* Fri Jun 10 2022 uoser <uoser@uniontech.com> - 5.0.6-3.01
- update: update to 5.0.6-3.01

